SolrQuery::setHighlightRegexMaxAnalyzedChars
SolrQuery::setHighlightRegexSlop
SolrQuery
PHP Manual

# SolrQuery::setHighlightRegexPattern

(PECL solr >= 0.9.2)

SolrQuery::setHighlightRegexPattern — Specify the regular expression for fragmenting

### Descrição

public SolrQuery SolrQuery::setHighlightRegexPattern ( string `$value` )

Specifies the regular expression for fragmenting. This could be used to extract sentences

### Parâmetros

`value`

  The regular expression for fragmenting. This could be used to extract sentences

### Valor Retornado

Returns the current SolrQuery object, if the return value is used.

SolrQuery::setHighlightRegexMaxAnalyzedChars
SolrQuery::setHighlightRegexSlop
SolrQuery
PHP Manual